Package ghidra.app.emulator.state

# Class FilteredMemoryPageOverlay

java.lang.Object
ghidra.pcode.memstate.MemoryBank
ghidra.pcode.memstate.MemoryPageBank
ghidra.pcode.memstate.MemoryPageOverlay
ghidra.app.emulator.state.FilteredMemoryPageOverlay

public class FilteredMemoryPageOverlay extends MemoryPageOverlay

- ## Field Summary

  ### Fields inherited from class ghidra.pcode.memstate.MemoryPageOverlay

  `underlie`

  ### Fields inherited from class ghidra.pcode.memstate.MemoryPageBank

  `page`

  ### Fields inherited from class ghidra.pcode.memstate.MemoryBank

  `faultHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilteredMemoryPageOverlay(AddressSpace spc, MemoryBank ul, boolean writeBack)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setChunk(long offset, int size, byte[] val)`
  This the most general method for writing a sequence of bytes into the memory bank.

  ### Methods inherited from class ghidra.pcode.memstate.MemoryPageOverlay

  `getPage`

  ### Methods inherited from class ghidra.pcode.memstate.MemoryPageBank

  `setPage, setPageInitialized`

  ### Methods inherited from class ghidra.pcode.memstate.MemoryBank

  `constructValue, deconstructValue, getChunk, getInitializedMaskSize, getMemoryFaultHandler, getPageSize, getSpace, isBigEndian, setInitialized`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilteredMemoryPageOverlay

    public FilteredMemoryPageOverlay(AddressSpace spc, MemoryBank ul, boolean writeBack)

- ## Method Details

  - ### setChunk

    public void setChunk(long offset, int size, byte[] val)
    Description copied from class: `MemoryBank`
    This the most general method for writing a sequence of bytes into the memory bank. The initial offset and page writes will be wrapped within the address space.
    Overrides:
      `setChunk` in class `MemoryBank`
    Parameters:
      `offset` - is the start of the byte range to be written. This offset will be wrapped within the space
      `size` - is the number of bytes to write
      `val` - is a pointer to the sequence of bytes to be written into the bank